<template>
  <div
    class="w-[160px] h-[160px] flex items-center justify-center cursor-pointer border-2 border-blue-300 bg-transparent transition hover:bg-blue-100 rounded overflow-hidden"
    @click="initEmit"
  >
    <div class="w-full h-full" v-if="imageUrl">
      <img class="w-full h-full object-cover" :src="imageUrl" alt="image" />
    </div>
    <div v-else class="w-full h-full flex items-center justify-center">
      <span>
        select image
      </span>
    </div>
  </div>
</template>

<script setup lang="ts">
defineProps({
  imageUrl: String,
});

const $emit = defineEmits(["click"]);
const initEmit = () => {
  $emit("click");
};
</script>

<style scoped></style>
